import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
interface IInputTextAreaCustomProp {
    errorText: string;
    sucessText: string;
    helperText: string;
    value: string;
    onChange: React.ChangeEventHandler<HTMLTextAreaElement>;
    onClick: React.MouseEventHandler<HTMLTextAreaElement>;
    placeholder: string;
    error: boolean;
    sucess: boolean;
    size: sizeType;
    label: string;
    image: React.ReactNode;
    inputRef: React.Ref<any>;
    modeProp: modeType;
}
export declare type IInputTextarea = Partial<IInputTextAreaCustomProp & Omit<ComponentProps<'textarea'>, keyof IInputTextAreaCustomProp>>;
declare const InputTextArea: React.FC<IInputTextarea>;
export default InputTextArea;
